package org.xparse;

import java.util.Iterator;

import org.apache.log4j.Logger;
import org.w3c.dom.Node;
import org.w3c.dom.NodeList;

public class NodeIterable implements Iterable<Node> {
	private static final Logger log = Logger.getLogger(NodeIterable.class);
	private NodeList nodes;

	public NodeIterable(NodeList nodes) {
		this.nodes = nodes;
	}

	class NodeIterator implements Iterator<Node> {
		int i = 0;

		public NodeIterator() {

		}

		public boolean hasNext() {
			return i < nodes.getLength();
		}

		public Node next() {
			return nodes.item(i++);
		}

		public void remove() {
			throw new UnsupportedOperationException("remove not implemented");
		}
	}

	public Iterator<Node> iterator() {
		return new NodeIterator();
	}
}
